Package io.milvus.param.role

## Class CreateRoleParam.Builder

- java.lang.Object
- - io.milvus.param.role.CreateRoleParam.Builder

- Enclosing class:
    CreateRoleParam

      public static final class CreateRoleParam.Builder
      extends java.lang.Object

  Builder for `CreateRoleParam` class.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CreateRoleParam` | `build()` | Verifies parameters and creates a new `CreateRoleParam` instance.
    `CreateRoleParam.Builder` | `withRoleName​(@NonNull java.lang.String roleName)` | Sets the roleName.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### withRoleName

          public CreateRoleParam.Builder withRoleName​(@NonNull
                                                      @NonNull java.lang.String roleName)

      Sets the roleName. RoleName cannot be empty or null.
      Parameters:
        `roleName` - roleName
      Returns:
        `Builder`

    - #### build

          public CreateRoleParam build()
                                throws ParamException

      Verifies parameters and creates a new `CreateRoleParam` instance.
      Returns:
        `CreateRoleParam`
      Throws:
        `ParamException`